<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    tools:context="com.isuisudmt.password.ChangePasswordActivity">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginLeft="@dimen/_32sdp"
        android:layout_marginRight="@dimen/_32sdp"
        android:gravity="center"
        android:orientation="vertical">


        <ImageView
            android:layout_width="200dp"
            android:layout_height="200dp"
            android:layout_gravity="center_horizontal"
            android:src="@drawable/logo_login"
            android:visibility="visible" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:fontFamily="@font/nunito_regular"
            android:text="CHANGE PASSWORD "
            android:textAppearance="@style/TextAppearance.AppCompat.Small" />



        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/_10sdp"
            android:hint="Old Password"
            android:id="@+id/oldPwdLayout"
            app:passwordToggleEnabled="true"
            app:startIconDrawable="@drawable/ic_lock_outline_black_24dp">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/old_pwd"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPassword"
                android:maxLength="15"
                android:padding="@dimen/_5ssp"
                android:singleLine="true"
                android:text="" />

        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/_10sdp"
            android:hint="New Password"
            android:id="@+id/newPwdLayout"
            app:passwordToggleEnabled="true"
            app:startIconDrawable="@drawable/ic_lock_outline_black_24dp">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/new_pwd"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPassword"
                android:padding="@dimen/_5ssp"
                android:singleLine="true"
                android:text="" />

        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/_10sdp"
            android:hint="Confirm Password"
            android:id="@+id/confirmPwdLayout"
            app:passwordToggleEnabled="true"
            app:startIconDrawable="@drawable/ic_lock_outline_black_24dp">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/confirm_pwd"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPassword"
                android:padding="@dimen/_5ssp"
                android:singleLine="true"
                android:text="" />

        </com.google.android.material.textfield.TextInputLayout>


        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/otpLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/_10sdp"
            android:hint="OTP"
            android:visibility="gone"
            app:passwordToggleEnabled="true"
            app:startIconDrawable="@drawable/ic_lock_outline_black_24dp"

            >

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/otp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="number"
                android:maxLength="6"
                android:padding="@dimen/_5ssp"
                android:singleLine="true"

                android:text="" />

        </com.google.android.material.textfield.TextInputLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/resendotp"
            android:text="@string/resendOTP"
            android:textColor="@color/light_blue"
            android:layout_gravity="right"
            android:textSize="@dimen/_15sdp"
            android:padding="@dimen/_5sdp"
            android:visibility="gone"
            android:layout_marginTop="@dimen/_10sdp"
            android:layout_marginRight="@dimen/_5sdp"/>

        <Button
            android:id="@+id/sendOtp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/_20sdp"
            android:background="@drawable/btn_border"
            android:fontFamily="@font/nunito_regular"
            android:padding="10dp"
            android:text="@string/sendOtp"
            android:textAppearance="@style/TextAppearance.AppCompat.Medium"
            android:textColor="@color/white"
            android:textSize="@dimen/_12ssp" />

        <Button
            android:id="@+id/changePwdBtn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/_20sdp"
            android:background="@drawable/btn_border"
            android:fontFamily="@font/nunito_regular"
            android:padding="10dp"
            android:visibility="gone"
            android:text="@string/change_password"
            android:textAppearance="@style/TextAppearance.AppCompat.Medium"
            android:textColor="@color/white"
            android:textSize="@dimen/_12ssp" />



        <ProgressBar
            android:id="@+id/progressBar"
            style="?android:attr/progressBarStyleLarge"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="center_horizontal"
            android:layout_margin="5dp"
            android:indeterminate="false"
            android:minWidth="40dp"
            android:minHeight="40dp"
            android:visibility="invisible" />


    </LinearLayout>

</LinearLayout>